'use strict';

/**
 * UI module used for small common ui widgets used accross entire application.
 * Including:
 *   UI
 */

angular.module('system.services.page', [
    'config.services'
])
    .service('Page', [
        '$rootScope',
        'Config',
        function($rootScope, Config) {

            var title = function(value) {
                $rootScope.page = $rootScope.page || { };
                $rootScope.page.title = value;
            };

            return {
                title: title
            };
        }
    ]);